MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027974Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-18 10:582016-12-09 16:39
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027974: Visualization, ray tracing - Improve ray tracing engine
DescriptionWhile OCCT path tracing engine provides acceptable results in most case, it still suffers from some problems:

1) High level of noise caused by glossy objects which results in significant convergence time. This problem can be resolved or significantly improved by using Multiple Importance Sampling (MIS) strategy allowing mixing contributions from both explicit and implicit light paths.

2) It seems that light sources are not processed correctly in all cases. It is necessary to review corresponding sampling and handling subroutines.

3) It is reasonable to add standard TCL sample to demonstrate OCCT physically-based materials.

4) Some materials should be revised; extra material for modeling transparent objects should be added.

5) Stability on NVIDIA GPUs should be improved.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberv3d raytrace sample_ball, sample_cube
Attached Filesjpg file icon 100.jpg (81,861 bytes) 2016-10-27 23:31
jpg file icon 1000.jpg (62,809 bytes) 2016-10-27 23:31
jpg file icon 100_2.jpg (120,073 bytes) 2016-10-27 23:32
jpg file icon 1000_2.jpg (82,784 bytes) 2016-10-27 23:32

- Relationships

-  Notes
(0058916)
git (administrator)
2016-10-20 12:10

Branch CR27974 has been created by dbp.

SHA-1: 3dc828b82ac2607ad6b977a4598587e3a177b707


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    Initial version of MIS.
(0058929)
git (administrator)
2016-10-20 17:39

Branch CR27974 has been updated by dbp.

SHA-1: 633e7a9734f045f60375334fe599a49736c0fca1


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 17:39:05 2016 +0300

    Correct MIS.

(0058933)
git (administrator)
2016-10-20 18:14

Branch CR27974 has been updated by dbp.

SHA-1: 077790660a05e8bac372b29c0c7f327169c51ce5


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 18:13:49 2016 +0300

    Fix transmission.

(0058936)
git (administrator)
2016-10-20 18:43

Branch CR27974 has been updated by dbp.

SHA-1: 0a8132c76879ad7694dd3ff61d8329161ecc3ac1


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 18:43:33 2016 +0300

    Fix light sources for correct MIS.

(0058941)
git (administrator)
2016-10-21 00:09

Branch CR27974 has been updated by dbp.

SHA-1: 0707a2124d5c4f811971066d67e6af4b991e076e


Detailed log of new commits:

Author: dbp
Date: Fri Oct 21 00:09:05 2016 +0300

    Revising light sources.

(0058964)
git (administrator)
2016-10-21 14:26

Branch CR27974 has been updated by dbp.

SHA-1: 596e32e94f7b75250c312eda3885a5dbc8066788


Detailed log of new commits:

Author: dbp
Date: Fri Oct 21 14:26:05 2016 +0300

    Fix issues in light sources intersection.

(0058973)
git (administrator)
2016-10-21 19:07

Branch CR27974 has been updated by dbp.

SHA-1: f1a38d94fe6d77a43a91345e40c0f156bac3afc5


Detailed log of new commits:

Author: dbp
Date: Fri Oct 21 19:07:19 2016 +0300

    Fix issue with absorption.

(0059052)
git (administrator)
2016-10-25 08:56

Branch CR27974 has been updated by dbp.

SHA-1: af47858fb0af5cc7ee22a320f434a4614281a388


Detailed log of new commits:

Author: dbp
Date: Tue Oct 25 08:55:53 2016 +0300

    Add some environment maps.

(0059080)
git (administrator)
2016-10-25 13:26

Branch CR27974 has been updated by dbp.

SHA-1: 01dbfe10151329fd03edef961b09ca09169882d6


Detailed log of new commits:

Author: dbp
Date: Tue Oct 25 13:25:09 2016 +0300

    Fix previously added environment map images.

Author: dbp
Date: Tue Oct 25 09:55:33 2016 +0300

    Cosmetics.

(0059097)
git (administrator)
2016-10-25 16:01

Branch CR27974 has been updated by dbp.

SHA-1: 9cf4a5bd2d6115ce6f38822f73dfd71973108608


Detailed log of new commits:

Author: dbp
Date: Tue Oct 25 16:00:51 2016 +0300

    Add new samples + cosmetics.

(0059108)
git (administrator)
2016-10-25 16:55

Branch CR27974 has been updated by dbp.

SHA-1: 4218cb33dbec086b125f70161a051ae5f32a227e


Detailed log of new commits:

Author: dbp
Date: Tue Oct 25 16:54:58 2016 +0300

    Fix update light sources method.

(0059116)
git (administrator)
2016-10-25 19:04

Branch CR27974 has been updated by dbp.

SHA-1: 1374369f6e3a7d02068ad159294bba81db61b138


Detailed log of new commits:

Author: dbp
Date: Tue Oct 25 19:04:07 2016 +0300

    Cosmetics.

(0059125)
git (administrator)
2016-10-25 22:25

Branch CR27974 has been updated by dbp.

SHA-1: 364480b8e10c3d968666bddf2675468fedc8bd53


Detailed log of new commits:

Author: dbp
Date: Tue Oct 25 22:19:39 2016 +0300

    Fix potential issue on NVIDIA GPUs.

(0059143)
git (administrator)
2016-10-26 10:30

Branch CR27974 has been updated by dbp.

SHA-1: fe7e8d43d1efeda403db9f3ca52f0309f013337f


Detailed log of new commits:

Author: dbp
Date: Wed Oct 26 10:30:45 2016 +0300

    Fix issue with light source sampling.

(0059151)
git (administrator)
2016-10-26 11:21

Branch CR27974 has been updated by duv.

SHA-1: 19f687b46b8cfec584377ec0025ed31d57552c65


Detailed log of new commits:

Author: duv
Date: Wed Oct 26 11:20:45 2016 +0300

    Path tracing materials review

(0059163)
git (administrator)
2016-10-26 14:01

Branch CR27974 has been updated by duv.

SHA-1: ce3cfd6b065af06287212580942716b82076d664


Detailed log of new commits:

Author: duv
Date: Wed Oct 26 14:01:00 2016 +0300

    Light pdf fix

(0059164)
git (administrator)
2016-10-26 14:08

Branch CR27974_1 has been created by duv.

SHA-1: d181280c0f8579f883feb659861cde829a4546be


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    Multi importance sampling implemented for path tracing.
    Correct light sources sampling.
    Fix issues in light sources intersection.
    Add new samples.
    Fix potential issue on NVIDIA GPUs.
    Path tracing materials review.
(0059185)
duv (developer)
2016-10-26 16:50

Dear kgv,

Please review the patch in branch CR27974_1.
(0059299)
git (administrator)
2016-10-27 22:03

Branch CR27974_1 has been updated by dbp.

SHA-1: f340b8fcc57013618af3a40c5d34377c38be1304


Detailed log of new commits:

Author: dbp
Date: Thu Oct 27 22:02:58 2016 +0300

    Small fixes according to KGV's remarks.

(0059300)
git (administrator)
2016-10-27 22:45

Branch CR27974_2 has been created by dbp.

SHA-1: b8c3dd8e2bccc849348352918a00ab0cf204118d


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    * Multiple importance sampling for path tracing
    * Improved light sources sampling (better handling several light sources)
    * Fixed issues in light source intersection (light distance is taken into account)
    * Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
    * Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
    * Path tracing materials reviewed; directional light source was smoother by default
(0059301)
dbp (developer)
2016-10-27 22:47

Dear kgv,

Your remarks were taken into account. Could you please review the patch in branch CR27974_2?
(0059339)
kgv (developer)
2016-10-28 15:13

Please rebase to current master.
(0059388)
git (administrator)
2016-10-28 18:52

Branch CR27974_3 has been created by dbp.

SHA-1: 1f58240f8afd488b9b5a2809fcd3eb5d46cac427


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    * Multiple importance sampling for path tracing
    * Improved light sources sampling (better handling several light sources)
    * Fixed issues in light source intersection (light distance is taken into account)
    * Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
    * Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
    * Path tracing materials reviewed; directional light source was smoother by default
(0059389)
dbp (developer)
2016-10-28 18:53

Dear kgv,

Could you please review the patch in branch CR27974_3?
(0059392)
git (administrator)
2016-10-28 20:02

Branch CR27974_4 has been created by kgv.

SHA-1: db54194682ba523c924ced14276e794ccfe47434


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    * Multiple importance sampling for path tracing
    * Improved light sources sampling (better handling several light sources)
    * Fixed issues in light source intersection (light distance is taken into account)
    * Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
    * Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
    * Path tracing materials reviewed; directional light source was smoother by default
(0059393)
kgv (developer)
2016-10-28 20:02

Please the patch in branch CR27974_4.
(0059624)
kgv (developer)
2016-10-31 10:21

The following test case does not work anymore (gradient background is lost), but I don't see such change in description:
pload MODELING VISUALIZATION
vcaps -core
vgldebug 1
#vvbo 0
vclear
vinit View1
box b 1 2 3
vdisplay -dispMode 1 b
vfit
vraytrace 1
vrenderparam -gi 1
#vzbufftrihedron
vsetgradientbg 180 200 255 180 180 180 2
(0059663)
git (administrator)
2016-10-31 22:33

Branch CR27974_5 has been created by dbp.

SHA-1: 6d344cc62c4956a6e873b740780323eae3415ff7


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    * Multiple importance sampling for path tracing
    * Improved light sources sampling (better handling several light sources)
    * Fixed issues in light source intersection (light distance is taken into account)
    * Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
    * Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
    * Path tracing materials reviewed; directional light source was smoother by default
(0059664)
dbp (developer)
2016-10-31 22:33

Dear kgv,

The issue was fixed. Please check the branch CR27974_5.
(0059671)
kgv (developer)
2016-11-01 10:10

Please test the patch.
(0059811)
git (administrator)
2016-11-02 18:20

Branch CR27974_6 has been created by dbp.

SHA-1: e4820ae338bcd4ee4f0c64cb56b3b8911d990956


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    * Multiple importance sampling for path tracing
    * Improved light sources sampling (better handling several light sources)
    * Fixed issues in light source intersection (light distance is taken into account)
    * Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
    * Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
    * Path tracing materials reviewed; directional light source was smoother by default
(0059893)
git (administrator)
2016-11-03 19:19

Branch CR27974_6 has been updated forcibly by apv.

SHA-1: dce2b553d72e14122e3423e59870c677a19dc280
(0059895)
apv (tester)
2016-11-03 19:20

Branch CR27974_6 has been rebased on the current master
(0059929)
apv (tester)
2016-11-07 13:53

Dear BugMaster,

Branch CR27974_6 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: dce2b553d72e14122e3423e59870c677a19dc280

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1140

Regressions/Differences:
Not detected

Testing cases:
v3d raytrace sample_ball - OK
http://occt-tests/CR27974_6-master-OCCT/Debian70-64/v3d/raytrace/sample_ball.html [^]
http://occt-tests/CR27974_6-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_ball.html [^]
v3d raytrace sample_cube - OK
http://occt-tests/CR27974_6-master-OCCT/Debian70-64/v3d/raytrace/sample_cube.html [^]
http://occt-tests/CR27974_6-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_cube.html [^]

Testing on Linux:
Total MEMORY difference: 90925026 / 90851343 [+0.08%]
Total CPU difference: 19269.159999999814 / 19283.92999999988 [-0.08%]

Testing on Windows:
Total MEMORY difference: 57440258 / 57454639 [-0.03%]
Total CPU difference: 17776.03314819872 / 18371.254963698717 [-3.24%]

There are differences in images found by testdiff:
http://occt-tests/CR27974_6-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR27974_6-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
v3d raytrace bug26617
v3d raytrace bug25201
(0059930)
apv (tester)
2016-11-07 13:55

Dear Denis,

Branch CR27974_6 has been rejected due to:
- differences in images
(0059937)
git (administrator)
2016-11-07 15:42

Branch CR27974_6 has been updated by dbp.

SHA-1: bc2b203eddadb4583297476fefed44b542beb2e8


Detailed log of new commits:

Author: dbp
Date: Mon Nov 7 15:41:20 2016 +0300

    Fix issue with background color in path tracing mode.

(0059939)
dbp (developer)
2016-11-07 15:43

Dear kgv,

The issue was fixed. Could you please review the patch in branch CR27974_6?
(0059943)
git (administrator)
2016-11-07 15:53

Branch CR27974_6 has been updated forcibly by dbp.

SHA-1: 3f48a72d1a3c5233c2136ffb242402e230576d48
(0059944)
kgv (developer)
2016-11-07 15:55

Please check updated patch (only ray-tracing/path-tracing test need to be performed).
(0060000)
apv (tester)
2016-11-08 13:06

Dear BugMaster,

Branch CR27974_6 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3f48a72d1a3c5233c2136ffb242402e230576d48

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1158

Regressions/Differences:
Not detected

Testing cases:
v3d raytrace sample_ball - OK
http://occt-tests/CR27974_6-master-OCCT/Debian70-64/v3d/raytrace/sample_ball.html [^]
http://occt-tests/CR27974_6-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_ball.html [^]
v3d raytrace sample_cube - OK
http://occt-tests/CR27974_6-master-OCCT/Debian70-64/v3d/raytrace/sample_cube.html [^]
http://occt-tests/CR27974_6-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_cube.html [^]

Testing on Linux:
Total MEMORY difference: 90851596 / 90846651 [+0.01%]
Total CPU difference: 19388.179999999775 / 19283.73999999988 [+0.54%]

Testing on Windows:
Total MEMORY difference: 57440370 / 57454639 [-0.02%]
Total CPU difference: 17783.6927972987 / 18371.254963698717 [-3.20%]
(0060031)
apn (administrator)
2016-11-08 16:19

Dear Denis,

During compilation IR which includes CR27974_6 compile errors appeared on Debian60-64 and CentOS64-64:

/dn54/builds/IR-2016-11-07_IR-2016-11-07/Debian60-64-opt/OCCT/src/OpenGl/OpenGl_View_Raytrace.cxx:2302: error: no matching function for call to 'partition(__gnu_cxx::__normal_iterator<Graphic3d_CLight*, std::vector<Graphic3d_CLight, std::allocator<Graphic3d_CLight> > >, __gnu_cxx::__normal_iterator<Graphic3d_CLight*, std::vector<Graphic3d_CLight, std::allocator<Graphic3d_CLight> > >, OpenGl_View::updateRaytraceLightSources(const OpenGl_Mat4&, const opencascade::handle<OpenGl_Context>&)::IsLightPositional)'
/dn54/builds/IR-2016-11-07_IR-2016-11-07/Debian60-64-opt/OCCT/src/OpenGl/OpenGl_View_Raytrace.cxx:2314: error: no matching function for call to 'count_if(__gnu_cxx::__normal_iterator<Graphic3d_CLight*, std::vector<Graphic3d_CLight, std::allocator<Graphic3d_CLight> > >, __gnu_cxx::__normal_iterator<Graphic3d_CLight*, std::vector<Graphic3d_CLight, std::allocator<Graphic3d_CLight> > >, OpenGl_View::updateRaytraceLightSources(const OpenGl_Mat4&, const opencascade::handle<OpenGl_Context>&)::IsNotAmbient)'
(0060033)
git (administrator)
2016-11-08 16:31

Branch CR27974_6 has been updated by kgv.

SHA-1: 1a6e0e111b5973edcc46148649639b303637dce6


Detailed log of new commits:

Author: kgv
Date: Tue Nov 8 16:31:21 2016 +0300

    Move out locally defined structures for compatibility with old compilers.

(0060034)
git (administrator)
2016-11-08 16:33

Branch CR27974_7 has been created by kgv.

SHA-1: 7b2c6fda578d542e20490bc0e4b14f647744d664


Detailed log of new commits:

Author: dbp
Date: Thu Oct 20 12:10:47 2016 +0300

    0027974: Visualization, ray tracing - Improve ray tracing engine
    
    * Multiple importance sampling for path tracing
    * Improved light sources sampling (better handling several light sources)
    * Fixed issues in light source intersection (light distance is taken into account)
    * Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
    * Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
    * Path tracing materials reviewed; directional light source was smoother by default
(0060035)
git (administrator)
2016-11-08 16:34

Branch CR27974_7 has been updated forcibly by kgv.

SHA-1: b8d14788e60ad57f99f2c752b98400f71b7c9cb4
(0060036)
kgv (developer)
2016-11-08 16:35

Please check compilation with workaround applied (retesting is not needed).
(0060052)
apn (administrator)
2016-11-08 18:00
edited on: 2016-11-08 18:00

Compilation was checked on Debian60-64, Debian70-64, CentOS64-64 and Windows vc10 win64.

(0061209)
git (administrator)
2016-12-07 11:25

Branch CR27974 has been deleted by kgv.

SHA-1: ce3cfd6b065af06287212580942716b82076d664
(0061210)
git (administrator)
2016-12-07 11:25

Branch CR27974_1 has been deleted by kgv.

SHA-1: f340b8fcc57013618af3a40c5d34377c38be1304
(0061211)
git (administrator)
2016-12-07 11:25

Branch CR27974_2 has been deleted by kgv.

SHA-1: b8c3dd8e2bccc849348352918a00ab0cf204118d
(0061212)
git (administrator)
2016-12-07 11:25

Branch CR27974_3 has been deleted by kgv.

SHA-1: 1f58240f8afd488b9b5a2809fcd3eb5d46cac427
(0061213)
git (administrator)
2016-12-07 11:25

Branch CR27974_4 has been deleted by kgv.

SHA-1: db54194682ba523c924ced14276e794ccfe47434
(0061214)
git (administrator)
2016-12-07 11:25

Branch CR27974_5 has been deleted by kgv.

SHA-1: 6d344cc62c4956a6e873b740780323eae3415ff7
(0061252)
git (administrator)
2016-12-07 11:30

Branch CR27974_6 has been deleted by kgv.

SHA-1: 1a6e0e111b5973edcc46148649639b303637dce6
(0061253)
git (administrator)
2016-12-07 11:30

Branch CR27974_7 has been deleted by kgv.

SHA-1: b8d14788e60ad57f99f2c752b98400f71b7c9cb4

- Related Changesets
occt: master 6e728f3b
Timestamp: 2016-10-20 09:10:47
Author: dbp
Committer: apn
Details ] Diff ]
0027974: Visualization, ray tracing - Improve ray tracing engine

* Multiple importance sampling for path tracing
* Improved light sources sampling (better handling several light sources)
* Fixed issues in light source intersection (light distance is taken into account)
* Add new TCL sample - OCCT Ball model for demonstrating physically-based materials
* Fix potential issue on NVIDIA GPUs ("Error: Failed to upload light source buffer")
* Path tracing materials reviewed; directional light source was smoother by default
add - data/occ/Ball.brep Diff ] File ]
add - samples/tcl/pathtrace_ball.tcl Diff ] File ]
mod - src/Graphic3d/Graphic3d_BSDF.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_NameOfMaterial.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceRender.fs Diff ] File ]
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
mod - src/Shaders/Shaders_RaytraceBase_fs.pxx Diff ] File ]
mod - src/Shaders/Shaders_RaytraceRender_fs.pxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.cxx Diff ] File ]
add - tests/v3d/raytrace/sample_ball Diff ] File ]
add - tests/v3d/raytrace/sample_cube Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-18 10:58 dbp New Issue
2016-10-18 10:58 dbp Assigned To => dbp
2016-10-20 12:10 git Note Added: 0058916
2016-10-20 17:39 git Note Added: 0058929
2016-10-20 18:14 git Note Added: 0058933
2016-10-20 18:43 git Note Added: 0058936
2016-10-21 00:09 git Note Added: 0058941
2016-10-21 14:26 git Note Added: 0058964
2016-10-21 19:07 git Note Added: 0058973
2016-10-25 08:56 git Note Added: 0059052
2016-10-25 13:26 git Note Added: 0059080
2016-10-25 16:01 git Note Added: 0059097
2016-10-25 16:55 git Note Added: 0059108
2016-10-25 19:04 git Note Added: 0059116
2016-10-25 22:25 git Note Added: 0059125
2016-10-26 10:30 git Note Added: 0059143
2016-10-26 11:21 git Note Added: 0059151
2016-10-26 14:01 git Note Added: 0059163
2016-10-26 14:08 git Note Added: 0059164
2016-10-26 14:09 duv Status new => assigned
2016-10-26 15:20 dbp Description Updated View Revisions
2016-10-26 16:50 duv Note Added: 0059185
2016-10-26 16:50 duv Assigned To dbp => kgv
2016-10-26 16:50 duv Status assigned => resolved
2016-10-26 16:50 duv Steps to Reproduce Updated View Revisions
2016-10-27 20:34 kgv Assigned To kgv => dbp
2016-10-27 20:34 kgv Severity minor => feature
2016-10-27 20:34 kgv Status resolved => assigned
2016-10-27 20:34 kgv Product Version Unscheduled =>
2016-10-27 22:03 git Note Added: 0059299
2016-10-27 22:45 git Note Added: 0059300
2016-10-27 22:47 dbp Note Added: 0059301
2016-10-27 22:47 dbp Assigned To dbp => kgv
2016-10-27 22:48 dbp Status assigned => resolved
2016-10-27 23:30 dbp File Added: 100.png
2016-10-27 23:30 dbp File Deleted: 100.png
2016-10-27 23:31 dbp File Added: 100.jpg
2016-10-27 23:31 dbp File Added: 1000.jpg
2016-10-27 23:32 dbp File Added: 100_2.jpg
2016-10-27 23:32 dbp File Added: 1000_2.jpg
2016-10-28 15:13 kgv Note Added: 0059339
2016-10-28 15:13 kgv Assigned To kgv => dbp
2016-10-28 15:13 kgv Status resolved => assigned
2016-10-28 18:52 git Note Added: 0059388
2016-10-28 18:53 dbp Note Added: 0059389
2016-10-28 18:53 dbp Assigned To dbp => kgv
2016-10-28 18:53 dbp Status assigned => resolved
2016-10-28 20:02 git Note Added: 0059392
2016-10-28 20:02 kgv Note Added: 0059393
2016-10-28 20:02 kgv Assigned To kgv => bugmaster
2016-10-28 20:02 kgv Status resolved => reviewed
2016-10-31 10:21 kgv Note Added: 0059624
2016-10-31 10:21 kgv Assigned To bugmaster => dbp
2016-10-31 10:21 kgv Status reviewed => assigned
2016-10-31 22:33 git Note Added: 0059663
2016-10-31 22:33 dbp Note Added: 0059664
2016-10-31 22:33 dbp Assigned To dbp => kgv
2016-10-31 22:33 dbp Status assigned => resolved
2016-11-01 10:10 kgv Note Added: 0059671
2016-11-01 10:10 kgv Assigned To kgv => bugmaster
2016-11-01 10:10 kgv Status resolved => reviewed
2016-11-02 18:20 git Note Added: 0059811
2016-11-03 17:10 apv Assigned To bugmaster => apv
2016-11-03 19:19 git Note Added: 0059893
2016-11-03 19:20 apv Note Added: 0059895
2016-11-07 12:54 apv Test case number => v3d raytrace sample_ball, sample_cube
2016-11-07 13:53 apv Note Added: 0059929
2016-11-07 13:53 apv Assigned To apv => dbp
2016-11-07 13:53 apv Status reviewed => assigned
2016-11-07 13:55 apv Note Added: 0059930
2016-11-07 15:42 git Note Added: 0059937
2016-11-07 15:43 dbp Note Added: 0059939
2016-11-07 15:43 dbp Assigned To dbp => kgv
2016-11-07 15:43 dbp Status assigned => resolved
2016-11-07 15:53 git Note Added: 0059943
2016-11-07 15:55 kgv Note Added: 0059944
2016-11-07 15:55 kgv Assigned To kgv => bugmaster
2016-11-07 15:55 kgv Status resolved => reviewed
2016-11-07 16:34 apv Assigned To bugmaster => apv
2016-11-08 13:06 apv Note Added: 0060000
2016-11-08 13:06 apv Assigned To apv => bugmaster
2016-11-08 13:06 apv Status reviewed => tested
2016-11-08 16:19 apn Note Added: 0060031
2016-11-08 16:19 apn Assigned To bugmaster => dbp
2016-11-08 16:19 apn Status tested => assigned
2016-11-08 16:31 git Note Added: 0060033
2016-11-08 16:33 git Note Added: 0060034
2016-11-08 16:34 git Note Added: 0060035
2016-11-08 16:35 kgv Note Added: 0060036
2016-11-08 16:35 kgv Assigned To dbp => bugmaster
2016-11-08 16:35 kgv Status assigned => feedback
2016-11-08 16:36 kgv Assigned To bugmaster => apn
2016-11-08 18:00 apn Note Added: 0060052
2016-11-08 18:00 apn Note Edited: 0060052 View Revisions
2016-11-08 18:00 apn Assigned To apn => bugmaster
2016-11-08 18:00 apn Status feedback => tested
2016-11-09 17:43 apn Changeset attached => occt master 6e728f3b
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:25 git Note Added: 0061209
2016-12-07 11:25 git Note Added: 0061210
2016-12-07 11:25 git Note Added: 0061211
2016-12-07 11:25 git Note Added: 0061212
2016-12-07 11:25 git Note Added: 0061213
2016-12-07 11:25 git Note Added: 0061214
2016-12-07 11:30 git Note Added: 0061252
2016-12-07 11:30 git Note Added: 0061253
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker